<?php
class cl_backpanel
{
	/**
	  * Construction Function
	  *
	  * 
	  */
	function __construct(){
		 add_action('admin_enqueue_scripts', array($this, 'panel_enqueue'));
        
    }
    

   /**
    *
    * Enqueue styles and scripts for the backend panel
    *
    */
    public function panel_enqueue($hook) {
       
        if($hook != 'appearance_page_codeless-panel' && $hook != 'toplevel_page_codeless-panel') {
            return;
        }

        wp_enqueue_style('codeless_theme-style', CODELESS_BASE_URL . '/includes/codeless_theme_panel/assets/css/theme.css');
        wp_enqueue_style('codeless_jquery-ui', CODELESS_BASE_URL . '/includes/codeless_theme_panel/assets/css/jquery-ui.css', false);
        wp_enqueue_style('codeless_panel', CODELESS_BASE_URL . '/includes/codeless_theme_panel/assets/css/panel.css');
        wp_enqueue_style('codeless_qtip-css', CODELESS_BASE_URL . '/includes/codeless_theme_panel/assets/css/jquery.qtip.min.css');
        wp_enqueue_script('codeless_script', CODELESS_BASE_URL . '/includes/codeless_theme_panel/assets/js/script.js');
        wp_enqueue_script('codeless_qtip', CODELESS_BASE_URL . '/includes/codeless_theme_panel/assets/js/jquery.qtip.js');
     
    }
 	
	
/*--------------------- End BackEnd Panel ------------------------------*/

}

if( is_admin() )
    new cl_backpanel();
?>